PrefabFiles = {
	"silver",
	"silver_skins",
	"leaf",
	"leaf_skins",
	"hooh",
	"clbl",
	"bigpoopcloud",
	"rainbowfeather",
	"silverfeather",
	"hoohegg",
	"babyhooh",
	"sacredash",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/silver.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/silver.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/silver.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/silver.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/silver_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/silver_silho.xml" ),

    Asset( "IMAGE", "bigportraits/silver.tex" ),
    Asset( "ATLAS", "bigportraits/silver.xml" ),
	
	Asset( "IMAGE", "images/map_icons/silver.tex" ),
	Asset( "ATLAS", "images/map_icons/silver.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_silver.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_silver.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_silver.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_silver.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_silver.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_silver.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_silver_original.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_silver_original.xml" ),
	
	Asset( "IMAGE", "images/names_silver.tex" ),
    Asset( "ATLAS", "images/names_silver.xml" ),
	
    Asset( "IMAGE", "bigportraits/silver_none.tex" ),
    Asset( "ATLAS", "bigportraits/silver_none.xml" ),
	
    Asset( "IMAGE", "bigportraits/silver_original.tex" ),
    Asset( "ATLAS", "bigportraits/silver_original.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/silver.fev"),
	Asset("SOUND", "sound/silver.fsb"),
	
	Asset( "IMAGE", "images/saveslot_portraits/leaf.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/leaf.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/leaf.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/leaf.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/leaf_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/leaf_silho.xml" ),

    Asset( "IMAGE", "bigportraits/leaf.tex" ),
    Asset( "ATLAS", "bigportraits/leaf.xml" ),
	
	Asset( "IMAGE", "images/map_icons/leaf.tex" ),
	Asset( "ATLAS", "images/map_icons/leaf.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_leaf.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_leaf.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_leaf.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_leaf.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_leaf.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_leaf.xml" ),

	Asset( "IMAGE", "images/avatars/self_inspect_leaf_prototype.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_leaf_prototype.xml" ),
	
	Asset( "IMAGE", "images/names_leaf.tex" ),
    Asset( "ATLAS", "images/names_leaf.xml" ),
	
    Asset( "IMAGE", "bigportraits/leaf_none.tex" ),
    Asset( "ATLAS", "bigportraits/leaf_none.xml" ),
	
    Asset( "IMAGE", "bigportraits/leaf_prototype.tex" ),
    Asset( "ATLAS", "bigportraits/leaf_prototype.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/leaf.fev"),
	Asset("SOUND", "sound/leaf.fsb"),
	
    Asset( "IMAGE", "images/inventoryimages/inventoryfeatherrainbow.tex" ),
    Asset( "ATLAS", "images/inventoryimages/inventoryfeatherrainbow.xml" ),
	
    Asset( "IMAGE", "images/inventoryimages/inventoryfeathersilver.tex" ),
    Asset( "ATLAS", "images/inventoryimages/inventoryfeathersilver.xml" ),
	
}

RemapSoundEvent( "dontstarve/characters/silver/death_voice", "silver/silver/death_voice" )
RemapSoundEvent( "dontstarve/characters/silver/hurt", "silver/silver/hurt" )
RemapSoundEvent( "dontstarve/characters/silver/talk_LP", "silver/silver/talk_LP" )
RemapSoundEvent( "dontstarve/characters/silver/yawn", "silver/silver/yawn" )
RemapSoundEvent( "dontstarve/characters/silver/ghost_LP", "silver/silver/ghost_LP" )
RemapSoundEvent( "dontstarve/characters/silver/emote", "silver/silver/emote" )
RemapSoundEvent( "dontstarve/characters/silver/pose", "silver/silver/pose" )

RemapSoundEvent( "dontstarve/characters/leaf/death_voice", "leaf/leaf/death_voice" )
RemapSoundEvent( "dontstarve/characters/leaf/hurt", "leaf/leaf/hurt" )
RemapSoundEvent( "dontstarve/characters/leaf/talk_LP", "leaf/leaf/talk_LP" )
RemapSoundEvent( "dontstarve/characters/leaf/yawn", "leaf/leaf/yawn" )
RemapSoundEvent( "dontstarve/characters/leaf/ghost_LP", "leaf/leaf/ghost_LP" )
RemapSoundEvent( "dontstarve/characters/leaf/emote", "leaf/leaf/emote" )
RemapSoundEvent( "dontstarve/characters/leaf/pose", "leaf/leaf/pose" )

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RecipeTabs = GLOBAL.RECIPETABS
local Tech = GLOBAL.TECH

-- The character select screen lines
STRINGS.CHARACTER_TITLES.silver = "Silver"
STRINGS.CHARACTER_NAMES.silver = "The Petty Thief"
STRINGS.CHARACTER_DESCRIPTIONS.silver = "*Has a warm jacket\n*Is a petty thief\n*Is grumpy"
STRINGS.CHARACTER_QUOTES.silver = "\"Humph, weak.\""

GLOBAL.STRINGS.SKIN_QUOTES.silver_original = "\"I will become the worlds greatest Pokemon trainer!\""
GLOBAL.STRINGS.SKIN_NAMES.silver_original = "Silver Original"
GLOBAL.STRINGS.SKIN_DESCRIPTIONS.silver_original = "Silver's G/S/C design"

STRINGS.CHARACTER_TITLES.leaf = "Leaf"
STRINGS.CHARACTER_NAMES.leaf = "The Con Artist"
STRINGS.CHARACTER_DESCRIPTIONS.leaf = "*Sleight of hand\n*Silver's only friend\n*Has a fear of birds"
STRINGS.CHARACTER_QUOTES.leaf = "\"Teehee, you're a cutie!\""

GLOBAL.STRINGS.SKIN_QUOTES.leaf_prototype = "\"Gotcha!\""
GLOBAL.STRINGS.SKIN_NAMES.leaf_prototype = "Prototype Female"
GLOBAL.STRINGS.SKIN_DESCRIPTIONS.leaf_prototype = "Unused design from R/B/G/Y"

-- Custom speech strings
STRINGS.CHARACTERS.SILVER = require "speech_silver"

STRINGS.CHARACTERS.LEAF = require "speech_leaf"

-- The character's name as appears in-game 
STRINGS.NAMES.SILVER = "Silver"

AddMinimapAtlas("images/map_icons/silver.xml")

STRINGS.NAMES.LEAF = "Leaf"

AddMinimapAtlas("images/map_icons/leaf.xml")

STRINGS.NAMES.HOOH = "Ho-Oh"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HOOH = "The rainbow Pokemon."
STRINGS.CHARACTERS.WILLOW.DESCRIBE.HOOH = "It's fiery; I love it!"
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.HOOH = "Strong Pokemon with legendary powers."
STRINGS.CHARACTERS.WENDY.DESCRIBE.HOOH = "It's said it brought back the lives of three dead Pokemon."
STRINGS.CHARACTERS.WX78.DESCRIBE.HOOH = "IT'S A GIANT FLYING RAINBOW CHICKEN. WHAT'S SO GREAT ABOUT THAT?"
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.HOOH = "It is the legendary Pokemon that creates rainbows."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.HOOH = "I bet it could tear down a forest in an instant."
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.HOOH = "With great power comes great responsibility."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.HOOH = "Fight me, fire chicken!"
STRINGS.CHARACTERS.WEBBER.DESCRIBE.HOOH = "Woah! It's so pretty!"

STRINGS.NAMES.CLBL = "Clear Bell"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.CLBL = "What could it bring?"
STRINGS.CHARACTERS.WILLOW.DESCRIBE.CLBL = "It looks like it's been refined with fire."
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.CLBL = "Silly bell, Wolfgang break!"
STRINGS.CHARACTERS.WENDY.DESCRIBE.CLBL = "It sounds so pretty."
STRINGS.CHARACTERS.WX78.DESCRIBE.CLBL = "WHAT GOOD IS A BELL WHEN YOU ARE MECHANICAL?"
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.CLBL = "A clear bell used to summon the legendary Pokemon Ho-Oh."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.CLBL = "I like the way it tinkles."
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.CLBL = "This will bring me one step closer."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.CLBL = "Bells are for wimps!"
STRINGS.CHARACTERS.WEBBER.DESCRIBE.CLBL = "It makes a gentle ringing sound."
STRINGS.RECIPE_DESC.CLBL = "What could it bring?"
STRINGS.RECIPE_DESC.SACREDASH = "A life-bringing powder."

STRINGS.NAMES.RAINBOWFEATHER = "Rainbow Wing"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.RAINBOWFEATHER = "A dazzling array of colors."
STRINGS.CHARACTERS.WILLOW.DESCRIBE.RAINBOWFEATHER = "It burns my eyes!"
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.RAINBOWFEATHER = "Feather weak in wind." 
STRINGS.CHARACTERS.WENDY.DESCRIBE.RAINBOWFEATHER = "It has every color."
STRINGS.CHARACTERS.WX78.DESCRIBE.RAINBOWFEATHER = "SHEDDING FROM AN ORGANIC BIRD."
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.RAINBOWFEATHER = "A piece of plumage from an avian."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.RAINBOWFEATHER = "It sure is pretty, aint it Lucy?"
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.RAINBOWFEATHER = "It belongs to the legendary Ho-Oh."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.RAINBOWFEATHER = "Oooh, pretty. I like it!"
STRINGS.CHARACTERS.WEBBER.DESCRIBE.RAINBOWFEATHER = "It's so colorful!"

STRINGS.NAMES.SILVERFEATHER = "Silver Wing"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SILVERFEATHER = "A gentle, silver color."
STRINGS.CHARACTERS.WILLOW.DESCRIBE.SILVERFEATHER = "It's too bland."
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.SILVERFEATHER = "Feather blow away in wind."
STRINGS.CHARACTERS.WENDY.DESCRIBE.SILVERFEATHER = "It has a gentle hue."
STRINGS.CHARACTERS.WX78.DESCRIBE.SILVERFEATHER = "SHEDDING FROM AN ORGANIC FLYING CREATURE." 
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.SILVERFEATHER = "It's a feather from some sort of avian."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.SILVERFEATHER = "It sure is shiny, aint it Lucy?"
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.SILVERFEATHER = "It belongs to the legendary Lugia."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.SILVERFEATHER = "Oooh, shiny. I like it!"
STRINGS.CHARACTERS.WEBBER.DESCRIBE.SILVERFEATHER = "It's so shiny!"

STRINGS.NAMES.BABYHOOH = "Ho-Oh"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.BABYHOOH = "The rainbow Pokemon."
STRINGS.CHARACTERS.WILLOW.DESCRIBE.BABYHOOH = "It's fiery; I love it!"
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.BABYHOOH = "Tiny, weak version of strong Pokemon."
STRINGS.CHARACTERS.WENDY.DESCRIBE.BABYHOOH = "It's the child of the legendary reviver."
STRINGS.CHARACTERS.WX78.DESCRIBE.BABYHOOH = "IT'S A TINY FLYING RAINBOW CHICKEN. WHAT'S SO GREAT ABOUT THAT?"
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.BABYHOOH = "It is the offspring of the legendary Pokemon that creates rainbows."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.BABYHOOH = "D'aww, it's so cute!"
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.BABYHOOH = "It will take several centuries for it to grow."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.BABYHOOH = "So cute and tiny!"
STRINGS.CHARACTERS.WEBBER.DESCRIBE.BABYHOOH = "Woah! It's so pretty!"

STRINGS.NAMES.HOOHEGG = "Rainbow Egg"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HOOHEGG = "Could this belong to the legendary Pokemon?"
STRINGS.CHARACTERS.WILLOW.DESCRIBE.HOOHEGG = "It's warm to the touch."
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.HOOHEGG = "Egg shell too hard for Wolfgang to crack."
STRINGS.CHARACTERS.WENDY.DESCRIBE.HOOHEGG = "It holds a precious baby Pokemon."
STRINGS.CHARACTERS.WX78.DESCRIBE.HOOHEGG = "UNBORN CHICKEN CHILD."
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.HOOHEGG = "This could hatch another Ho-Oh!"
STRINGS.CHARACTERS.WOODIE.DESCRIBE.HOOHEGG = "I'd better take good care of it, eh?"
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.HOOHEGG = "The responsibility is mine."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.HOOHEGG = "It's very warm."
STRINGS.CHARACTERS.WEBBER.DESCRIBE.HOOHEGG = "Oh, will it hatch?"

STRINGS.NAMES.HOOHEGG_CRACKED = "Cracked Rainbow Egg"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.HOOHEGG_CRACKED = "Could this belong to the legendary Pokemon?"
STRINGS.CHARACTERS.WILLOW.DESCRIBE.HOOHEGG_CRACKED = "It's warm to the touch."
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.HOOHEGG_CRACKED = "Egg shell too hard for Wolfgang to crack."
STRINGS.CHARACTERS.WENDY.DESCRIBE.HOOHEGG_CRACKED = "It holds a precious baby Pokemon."
STRINGS.CHARACTERS.WX78.DESCRIBE.HOOHEGG_CRACKED = "UNBORN CHICKEN CHILD."
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.HOOHEGG_CRACKED = "This could hatch another Ho-Oh!"
STRINGS.CHARACTERS.WOODIE.DESCRIBE.HOOHEGG_CRACKED = "I'd better take good care of it, eh?"
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.HOOHEGG_CRACKED = "The responsibility is mine."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.HOOHEGG_CRACKED = "It's very warm."
STRINGS.CHARACTERS.WEBBER.DESCRIBE.HOOHEGG_CRACKED = "Oh, will it hatch?"

STRINGS.NAMES.SACREDASH = "Sacred Ash"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SACREDASH = "It's a strange white powder."
STRINGS.CHARACTERS.WILLOW.DESCRIBE.SACREDASH = "I like it. It's nice and warm."
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.SACREDASH = "Wolfgang think powder puny."
STRINGS.CHARACTERS.WENDY.DESCRIBE.SACREDASH = "Could this revive Abigail?"
STRINGS.CHARACTERS.WX78.DESCRIBE.SACREDASH = "IT HOLDS STRANGE POWERS."
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.SACREDASH = "This ash is an organic composition that could be used to revive a lifeform."
STRINGS.CHARACTERS.WOODIE.DESCRIBE.SACREDASH = "Some magical dust there, eh."
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.SACREDASH = "This dust holds incredible powers."
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.SACREDASH = "It's hot to the touch!"
STRINGS.CHARACTERS.WEBBER.DESCRIBE.SACREDASH = "Hot, hot, hot!!"

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("silver", "MALE")
AddMinimapAtlas("images/map_icons/silver.xml")
modimport("scripts/silvermod_skins.lua")
modimport("scripts/silver_strings.lua")

AddModCharacter("leaf", "FEMALE")
AddMinimapAtlas("images/map_icons/leaf.xml")
modimport("scripts/leafmod_skins.lua")
modimport("scripts/leaf_strings.lua")

local clbl = AddRecipe("clbl", { Ingredient("rainbowfeather", 1, "images/inventoryimages/inventoryfeatherrainbow.xml"), Ingredient("silverfeather", 1, "images/inventoryimages/inventoryfeathersilver.xml"), Ingredient("goldnugget", 2) }, RecipeTabs.MAGIC, Tech.NONE)
clbl.atlas = "images/inventoryimages/clbl.xml"
local sacredash = AddRecipe("sacredash", { Ingredient("rainbowfeather", 1, "images/inventoryimages/inventoryfeatherrainbow.xml"), Ingredient("ash", 5) }, RecipeTabs.MAGIC, Tech.NONE)
sacredash.atlas = "images/inventoryimages/sacredash.xml"

AddPrefabPostInit("tornado", 
	function(inst)
		inst:AddTag("tornado")
end)
AddPrefabPostInit("crow", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("robin", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("robin_winter", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("canary", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("tallbird", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("teenbird", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("smallbird", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("perd", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("penguin", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("buzzard", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("moose", 
	function(inst)
		inst:AddTag("bird")
end)
AddPrefabPostInit("mossling", 
	function(inst)
		inst:AddTag("bird")
end)

